Integrate Rails (4.2.3) with gulp (3.9.0) and some gulp tasks such as clean, compile sass/scss, es6
Ruby JavaScript HTML CSS
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
app
bin
config
db
gulp
lib
public
test
vendor/assets
.gitignore
.ruby-version
Gemfile
Gemfile.lock
LICENSE
README.md
Rakefile
config.ru
gulpfile.js
package.json

README.md

Integrate Rails with gulp

Libraries

  • Rails 4.2.3
  • Ruby 2.2.2
  • gulp 3.9.0
  • babel
  • webpack
  • For more npm packages, see package.json

Setup

  1. run npm install

  2. run gulp to build assets of gulp/assets

  3. run rails server to start up server